org.eclipse.jetty.security.authentication

## Class SessionAuthentication

- java.lang.Object
- - org.eclipse.jetty.security.authentication.SessionAuthentication

- All Implemented Interfaces:
    java.io.Serializable, java.util.EventListener, javax.servlet.http.HttpSessionActivationListener, javax.servlet.http.HttpSessionBindingListener, Authentication, Authentication.User

      public class SessionAuthentication
      extends java.lang.Object
      implements Authentication.User, java.io.Serializable, javax.servlet.http.HttpSessionActivationListener, javax.servlet.http.HttpSessionBindingListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Authentication

      `Authentication.Challenge, Authentication.Deferred, Authentication.Failure, Authentication.ResponseSent, Authentication.SendSuccess, Authentication.User, Authentication.Wrapped`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `__J_AUTHENTICATED`

    - ### Fields inherited from interface org.eclipse.jetty.server.Authentication

      `NOT_CHECKED, SEND_CONTINUE, SEND_FAILURE, SEND_SUCCESS, UNAUTHENTICATED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionAuthentication(java.lang.String method, UserIdentity userIdentity, java.lang.Object credentials)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthMethod()`
    `UserIdentity` | `getUserIdentity()`
    `boolean` | `isUserInRole(UserIdentity.Scope scope, java.lang.String role)`
    `void` | `logout()`
    `void` | `sessionDidActivate(javax.servlet.http.HttpSessionEvent se)`
    `void` | `sessionWillPassivate(javax.servlet.http.HttpSessionEvent se)`
    `java.lang.String` | `toString()`
    `void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent event)`
    `void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __J_AUTHENTICATED

          public static final java.lang.String __J_AUTHENTICATED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SessionAuthentication

          public SessionAuthentication(java.lang.String method,
                               UserIdentity userIdentity,
                               java.lang.Object credentials)

  - ### Method Detail

    - #### getAuthMethod

          public java.lang.String getAuthMethod()

      Specified by:
        `getAuthMethod` in interface `Authentication.User`

    - #### getUserIdentity

          public UserIdentity getUserIdentity()

      Specified by:
        `getUserIdentity` in interface `Authentication.User`

    - #### isUserInRole

          public boolean isUserInRole(UserIdentity.Scope scope,
                             java.lang.String role)

      Specified by:
        `isUserInRole` in interface `Authentication.User`

    - #### logout

          public void logout()

      Specified by:
        `logout` in interface `Authentication.User`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### sessionWillPassivate

          public void sessionWillPassivate(javax.servlet.http.HttpSessionEvent se)

      Specified by:
        `sessionWillPassivate` in interface `javax.servlet.http.HttpSessionActivationListener`

    - #### sessionDidActivate

          public void sessionDidActivate(javax.servlet.http.HttpSessionEvent se)

      Specified by:
        `sessionDidActivate` in interface `javax.servlet.http.HttpSessionActivationListener`

    - #### valueBound

          public void valueBound(javax.servlet.http.HttpSessionBindingEvent event)

      Specified by:
        `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`

    - #### valueUnbound

          public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)

      Specified by:
        `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.